tasks/get

GET/scheduled-agents/{scheduled_agent_id}

Get one Task. Requires the scheduled-agents feature and the configuration:read permission.

Request

cURL
curl -X GET "https://provisioning.cloudx.io/api/v1/scheduled-agents/{scheduled_agent_id}" \
  -H "Authorization: Bearer $CLOUDX_API_KEY"

Path parameters

NameTypeDescription
scheduled_agent_idrequiredstringTask ID.

Responses

Task.
{
  "id": "<string>",
  "name": "<string>",
  "prompt": "<string>",
  "template_id": "<string>",
  "cron_expression": "<string>",
  "timezone": "<string>",
  "schedule_description": "<string>",
  "enabled": true,
  "creation_origin": "web_app",
  "notification_recipient_mode": "just_me",
  "notification_recipient_user_ids": [
    "<string>"
  ],
  "next_run_at": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

200 Task.

FieldTypeDescription
idrequiredstringStable Task ID.
namerequiredstring
promptrequiredstringPrompt that the Task runs on its schedule.
template_idstringTemplate used to create the Task, when applicable.
cron_expressionrequiredstringFive-field cron expression in the Task timezone.
timezonerequiredstringIANA timezone for the cron expression.
schedule_descriptionrequiredstringHuman-readable schedule.
enabledrequiredboolean
creation_originrequiredstringSurface that created the Task.
notification_recipient_moderequiredobject
notification_recipient_user_idsrequiredarray of string
next_run_atrequiredstring<date-time>
created_atrequiredstring<date-time>
updated_atrequiredstring<date-time>

401 Unauthorized.

FieldTypeDescription
errorrequiredstring

403 Forbidden or feature unavailable.

FieldTypeDescription
errorrequiredstring

404 Task not found.

FieldTypeDescription
errorrequiredstring

500 Internal server error.

FieldTypeDescription
errorrequiredstring